RDKit::MolStandardize::Normalizer::Product Struct Reference

`#include <Normalize.h>`

## Public Member Functions

| Product (std::string smiles, boost::shared_ptr< ROMol > &mol)
bool | operator< (const Product &pdt) const

## Public Attributes

std::string | Smiles
boost::shared_ptr< ROMol > | Mol

## Detailed Description

Definition at line 74 of file Normalize.h.

## Constructor & Destructor Documentation

## Product()

RDKit::MolStandardize::Normalizer::Product::Product | ( | std::string | smiles,
|  | boost::shared_ptr< ROMol > & | mol
| ) |  |

inline

Definition at line 77 of file Normalize.h.

## Member Function Documentation

## operator<()

bool RDKit::MolStandardize::Normalizer::Product::operator< | ( | const Product & | pdt | ) | const

inline

Definition at line 81 of file Normalize.h.

References Smiles.

## Member Data Documentation

## Mol

boost::shared_ptr<ROMol> RDKit::MolStandardize::Normalizer::Product::Mol

Definition at line 76 of file Normalize.h.

## Smiles

std::string RDKit::MolStandardize::Normalizer::Product::Smiles

Definition at line 75 of file Normalize.h.

Referenced by operator<().

The documentation for this struct was generated from the following file:

- Normalize.h